rte_swx_ipsec_sa_params(3)

NAME
rte_swx_ipsec_sa_params

SYNOPSIS

#include <rte_swx_ipsec.h>

  Data Fields

int encrypt
struct {
int is_aead
} crypto
struct rte_swx_ipsec_sa_encap_params encap

Detailed Description

IPsec Security Association (SA) parameters.

Definition at line 261 of file rte_swx_ipsec.h.

Field Documentation

  int encrypt
Crypto operation: encrypt when non-zero, decrypt when zero.

Definition at line 263 of file rte_swx_ipsec.h.

  struct rte_swx_ipsec_sa_cipher_params cipher
Crypto cipher operation parameters.

Definition at line 270 of file rte_swx_ipsec.h.

  struct rte_swx_ipsec_sa_authentication_params auth
Crypto authentication operation parameters.

Definition at line 273 of file rte_swx_ipsec.h.

  struct rte_swx_ipsec_sa_aead_params aead
Crypto AEAD operation parameters.

Definition at line 277 of file rte_swx_ipsec.h.

  int is_aead
Non-zero for AEAD, zero for cipher & authentication.

Definition at line 281 of file rte_swx_ipsec.h.

  struct { ... } crypto
Crypto operation parameters.

  struct rte_swx_ipsec_sa_encap_params encap
Packet encasulation parameters.

Definition at line 285 of file rte_swx_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.